GO-2024-2442

See a problem?
Source
https://pkg.go.dev/vuln/GO-2024-2442
Import Source
https://vuln.go.dev/ID/GO-2024-2442.json
JSON Data
https://api.osv.dev/v1/vulns/GO-2024-2442
Aliases
Published
2024-06-28T15:28:53Z
Modified
2024-07-09T19:33:56Z
Summary
Teleport Access List owners can escalate their privileges in github.com/gravitational/teleport
Details

Teleport Access List owners can escalate their privileges in github.com/gravitational/teleport.

NOTE: The source advisory for this report contains additional versions that could not be automatically mapped to standard Go module versions.

(If this is causing false-positive reports from vulnerability scanners, please suggest an edit to the report.)

The additional affected modules and versions are: github.com/gravitational/teleport from v13.0.0 before v13.4.13, from v14.0.0 before v14.2.4.

References

Affected packages

Go / github.com/gravitational/teleport

Package

Name
github.com/gravitational/teleport
View open source insights on deps.dev
Purl
pkg:golang/github.com/gravitational/teleport

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected

Ecosystem specific

{
    "custom_ranges": [
        {
            "events": [
                {
                    "introduced": "13.0.0"
                },
                {
                    "fixed": "13.4.13"
                },
                {
                    "introduced": "14.0.0"
                },
                {
                    "fixed": "14.2.4"
                }
            ],
            "type": "ECOSYSTEM"
        }
    ]
}